zenilib: zenilib/jni/external/sdl/src/libm/s_atan.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
s_atan.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

double | atan (double x)

## Variables

static const double | aT []
static const double | atanhi []
static const double | atanlo []
static const double | huge = 1.0e300
static const double | one = 1.0

## Function Documentation

double atan | ( | double | x | ) |

Definition at line 67 of file s_atan.c.

References aT, atanhi, atanlo, fabs(), GET_HIGH_WORD, GET_LOW_WORD(), huge, hx, ix, low, and one.

Referenced by __ieee754_atan2(), Zeni::Camera::get_tunneled_fov_rad(), Zeni::Vector3f::phi(), SDL_atan(), Zeni::Vector2f::theta(), and Zeni::Vector3f::theta().

## Variable Documentation

const double aT[]

static

Initial value:
= {
3.33333333333329318027e-01,
-1.99999999998764832476e-01,
1.42857142725034663711e-01,
-1.11111104054623557880e-01,
9.09088713343650656196e-02,
-7.69187620504482999495e-02,
6.66107313738753120669e-02,
-5.83357013379057348645e-02,
4.97687799461593236017e-02,
-3.65315727442169155270e-02,
1.62858201153657823623e-02,
}

Definition at line 49 of file s_atan.c.

Referenced by atan().

const double atanhi[]

static

Initial value:
= {
4.63647609000806093515e-01,
7.85398163397448278999e-01,
9.82793723247329054082e-01,
1.57079632679489655800e+00,
}

Definition at line 35 of file s_atan.c.

Referenced by atan().

const double atanlo[]

static

Initial value:
= {
2.26987774529616870924e-17,
3.06161699786838301793e-17,
1.39033110312309984516e-17,
6.12323399573676603587e-17,
}

Definition at line 42 of file s_atan.c.

Referenced by atan().

const double huge = 1.0e300

static

Definition at line 65 of file s_atan.c.

Referenced by atan().

const double one = 1.0

static

Definition at line 64 of file s_atan.c.

Referenced by atan().